Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 185772 - needs mapping for NV37GL
Summary: needs mapping for NV37GL
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2006-03-17 20:37 UTC by Bill Nottingham
Modified: 2014-03-17 02:58 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-24 17:48:59 UTC


Attachments (Terms of Use)
lspci, xorg.conf, etc. (deleted)
2006-06-14 16:46 UTC, Bill Nottingham
no flags Details

Description Bill Nottingham 2006-03-17 20:37:25 UTC
Description of problem:

The videoaliases file doesn't have an entry for:

class: VIDEO
bus: PCI
detached: 0
desc: "nVidia Corporation NV37GL [Quadro FX 330/Quadro NVS280]"
vendorId: 10de
deviceId: 00fd
subVendorId: 10de
subDeviceId: 0215
pciType: 1
pcidom:    0
pcibus:  6
pcidev:  0
pcifn:  0

Manually switching the driver from 'vesa' to 'nv' works fine; seems
to work perfectly ok for 2D. It even says:

(--) Chipset Quadro NVS 55/280 PCI found

in the X log, so it knows something about this id.

Version-Release number of selected component (if applicable):

xorg-x11-drv-nv-1.0.1.5-3.1

Comment 1 Mike A. Harris 2006-03-25 00:51:03 UTC
Cloned an FC5 bug #186652 for future update also.

Comment 2 Mike A. Harris 2006-06-14 14:37:12 UTC
Our bugzilla database had a catastrophic failure on June 13, 2006
which lost all bug changes from Thurs June 9th onward.  I have
bugzilla email records of the time period however, and will be
restoring as many changes as I can manually.

Comment 3 Mike A. Harris 2006-06-14 14:38:28 UTC
This report is a bit odd.  In the top part of the report, it indicates
that the video aliases file does not have an entry for 10de:00fd, and that
is correct.  Examination of the driver source code, shows that the driver
does not support the PCI ID 10de:00fd, so it would seem the videoaliases
file is correct.

However, then you indicate that it works fine if using 'nv', which doesn't
make any sense.  The chipset "Quadro NVS 55/280 PCI found" message, is from
an entirely different Nvidia video board:

  { 0x10DE032A, "Quadro NVS 55/280 PCI" },

The current Xorg 7.1 "nv" driver in rawhide doesn't list the 10de:00fd
nvidia chip either, so as far as I can see this chip is not supported
at all.

[From pciids.sf.net as of a few minutes ago]

00fd	NV37GL [Quadro FX 330/Quadro NVS280]

Are there two separate Nvidia cards in this machine?  Perhaps one onboard?
Please attach the complete X server log and config file.



Comment 4 Mike A. Harris 2006-06-14 14:40:24 UTC
The following file attahcments were lost in the bugzilla database
catastrophe.  Please reattach config/log.


------- Additional Comments From notting@redhat.com  2006-06-12 14:16 EST -------
Created an attachment (id=130978)
 --> (https://bugzilla.redhat.com/bugzilla/attachment.cgi?id=130978&action=view)
Logs and stuff

Here's lspci, lspci -n, Xorg.conf (edited to add nv), and X log.



Comment 5 Bill Nottingham 2006-06-14 16:46:11 UTC
Created attachment 130876 [details]
lspci, xorg.conf, etc.

Comment 6 Mike A. Harris 2006-06-15 23:15:10 UTC
Oh, now that _is_ strange.  Very strange.  The "nv" driver appears to
be wonkificated.

Investigating...

Comment 7 Adam Jackson 2006-07-24 17:48:59 UTC
fixed in nv 1.2.0-2.  The driver works, just needed an updated nv.xinf.


Note You need to log in before you can comment on or make changes to this bug.